# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#  lp_browser: gtk-application using launchpadlib
#  Copyright © 2011, 2013  B. Clausius <barcc@gmx.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import print_function, division

from gi.repository import Gtk

from lp_browser.helpers import get_builder


class AboutDialog(object):
    def __init__(self, parent=None):
        builder = get_builder('about.ui')
        self.dialog = builder.get_object("about_lp_browser_dialog")
        self.dialog.set_transient_for(parent)


if __name__ == "__main__":
    dialog = AboutDialog()
    dialog.dialog.show()
    Gtk.main()
